pear.zip outdated for 2.7 rc1

constantijnw
Joined: 19 Mar 2005

pear.zip outdated for 2.7 rc1

Posted:14 Oct 2009 (10:21 UTC)
Using the current pear.zip for an 2.7 rc1 installation results in failure when installing packages.
Anonymous

Re: pear.zip outdated for 2.7 rc1

Posted:14 Oct 2009 (12:31 UTC)
Thanks for the info. You mean this file from the download galleries, correct? www.bitweaver.org/downloads/file/11619

This could/should be updated then. It was provided for people who don't have access to PEAR via their web hosting. Normally, your provider should provide PEAR along with PHP, I think. That's why Bitweaver doesn't ship with PEAR included anymore. If you run your own server, you could install PEAR for yourself. This would also be better than using pear.zip.
constantijnw
Joined: 19 Mar 2005

Re: pear.zip outdated for 2.7 rc1

Posted:14 Oct 2009 (22:44 UTC)
I'm not a developer. I run my own server (CentOS 5.3) and failed to install some recommendations with yum, probably my bad. The pear.zip from the download galleries is a gift from heaven.
spiderr
Profile Picture
Joined: 08 Feb 2004

Re: pear.zip outdated for 2.7 rc1

Posted:17 Oct 2009 (14:49 UTC)
So is it working? If so with the pear.zip downloaded from the link above?

On CentOS, run: yum install php-pear
constantijnw
Joined: 19 Mar 2005

Re: pear.zip outdated for 2.7 rc1

Posted:18 Oct 2009 (12:48 UTC)
The problem is that php-pear.noarch 1:1.4.9-4.el5.1 is installed but not recognized by bw. Or does pear.zip contain additional packages?